*{
    margin: 0;
    padding: 0;
    border:0;
    box-sizing: border-box;
}

li{
    list-style: none;
}

h1 , h2 , h3 , h4 , h5 , h6{
    font-size: inherit;
    font-weight: inherit;
}

a{
    display: block;
    text-decoration: none;
    color:inherit;
}

p a{
    display: inline;
}

img , picture , video , iframe {
    display: block;
    width: 100%;
    height: initial;
}

svg{
    fill: currentColor;
}

:root{
    font-size: 100%;

    --color-primary: white;
    --color-hover-primary: grey;
    --color-hover-secondary: black;

}

html{
    scroll-behavior: smooth;
}


body{

        font-family: "Josefin Sans", sans-serif;
        font-size: 95%;
        text-transform: uppercase;
        text-align: center;
        letter-spacing: 2px;
}

    .Header{

        width: 100%;
        min-height: 8.5rem;
        background-color: var(--color-primary);
        padding: 2.2vw 4vw 2.2vw 4vw;
        display: flex;
        flex-flow: row wrap;
        justify-content: space-between;
        align-items: center;
        font-weight: 500;

        transition: background-color 0.5s ease, opacity 0.5s ease; 
        opacity: 1; 

        position: relative;
        
    }

    .Header-h1{

        max-width: 9.6875rem;
        cursor: pointer;

        z-index: 2;
    }

    .Header-nav{

        background-color:var(--color-primary);
        transition: background-color 0.5s ease, opacity 0.5s ease;
        opacity: 1;

    }

    .Header-ul{

        display: flex;
        flex-flow: row nowrap;
        justify-content: flex-end;
        align-items: center;
        font-weight: 500;
        gap: 4.375rem;
    }

   
    .Header-li{

        background-color:var(--color-primary);
        transition: background-color 0.5s ease, opacity 0.5s ease; 
    }

    
    .Header-a:hover{
        color: var(--color-hover-primary);
    }

    .Menu-buton{
        width: 2.25rem;
        height: 2.25rem;
        position: relative;
        cursor: pointer;
        display: none;
        flex-direction: column;
        justify-content: center; /* Centra las barras */
        align-items: center;
        gap: 6px; /* Espacio entre las barras */

        z-index: 2;
    }
      
      /* Estilos para las barras */
    .Menu-buton span{
        display: block;
        width: 100%;
        height: 1px;
        background-color: #333;
        transition: 0.3s ease;
        position: absolute;
      }
      
      /* Estado inicial de las barras */
    .Menu-buton span:nth-child(1) {
        transform: translateY(-6px); /* Mueve la barra superior */
    }
      
    .Menu-buton span:nth-child(2) {
        transform: translateY(6px); /* Mueve la barra inferior */
    }
      
      /* Estado cuando el botón está activo */
    .Menu-buton.active span:nth-child(1) {
        transform: rotate(-135deg); /* Rota la barra superior */
        background-color: white;
      
       
    }
      
    .Menu-buton.active span:nth-child(2) {
        transform: rotate(135deg); /* Rota la barra inferior */
        background-color: white;
        
        
    }

    .Inside{

        width: 100%;
        min-height: 100%;
        display: flex;
        flex-flow: row nowrap;
        justify-content: center;
        align-items: center;
        position: relative;
    }

    .Inside-h2{

        width: 50%;
        position: absolute;
    
    }

    .Inside-bg{
        width: 100%;
        max-height: 43.75rem;
        object-fit: cover;
    }



    .Columnas{

        width: 90%;
        margin: 3.12rem auto;
        display: grid;
        grid-template-columns: repeat( 3 , 1fr);
        gap: 2rem;
        font-weight: 400;

    }

    .Columnas-article{

        width: 100%;
        

    }

    .Columnas-img{

        width: 100%;
        margin: 0 0 1rem;

        object-fit: cover;
    }


    .Columnas-h3{

        background-color: var(--color-primary);

    }

    .Footer{

        
        padding: 2rem;
        display: flex;
        flex-flow: column nowrap;
        justify-content: center;
        align-items: center;
        
        
    }

    .Policy{
        
        text-decoration: underline;
    }

    .Footer-copy{

        background-color:var(--color-primary);
        margin: 0 0 1rem;
       
        
    }

    .Redes{

        
        display: flex;
        margin: 0 0 3rem;
        flex-flow: row nowrap;
        justify-content: center;
        align-items: center;
        gap: 1rem;
        
    }

    
    .Redes:hover{
        color:var(--color-hover-primary);
    }

    .Redes-li:hover{
        color: var(--color-hover-secondary);
    }
    

    .Policy{

        width: 80%;
        max-width: 500px;
        margin: 0 0 2rem;
        display: flex;
        flex-flow: row wrap;
        justify-content: center;
        align-items: center;
        gap: 1rem;
        
    }

    .Policy:hover{
        color: var(--color-hover-secondary);
    }

    .Policy-li:hover{
        color: var(--color-hover-primary);
    }

    .Footer-a{

        background-color: #F0F0F0;
        color: #68B631;
        border: 1px solid #68B631;
        margin: 2.5rem 0;
        padding: 1.2rem 2rem;
        text-transform: none;
        letter-spacing: initial;
    
    }

    .Footer-a:hover{
        background-color: #68B631;
        color: white;
        
    }

    @media (max-width:3840px){
        .Inside-h2{
            width: 35%;
        }
    }

    @media (max-width:2560px){
        .Inside-h2{
            width: 50%;
        }
    }

    @media (max-width:800px){
        .Header-nav{
            width: 100%;
            opacity: 0;
            height: 0;
            overflow: hidden;
            pointer-events: none;

        }
        .Header.active{
            background-color: #B1B1B1;
            opacity: 1;

            position: fixed;
            z-index: 2;

           
        }
        .Menu-buton{
            display: flex;
        }
        .Header-ul{
            flex-direction: column;
            align-items: flex-start;
            margin: 16.125rem 0 0 2.5rem;
           
        }
        .Header-li{
            background-color: transparent;
            font-size: 2.25em;
            font-weight: bold;
            padding: 10px;
            margin: 1rem;
            color: white;
           
            
    
        }
        .Header-a::after{
            content: ">";
            margin: 1rem;
            font-weight: 100;
        }
        .Header-nav.visible{
            position: fixed;
            top: 0;
            left: 0;
            width: 100vw;
            height: 100vh;
            overflow: hidden;
            background-color:#B1B1B1;
            opacity: 1;
            z-index: 1;
            pointer-events: auto;

        }
        .Header{
            padding: 2.2vw 4vw 2.2vw 4vw;
        }
        .Columnas{
            
            grid-template-columns: 1fr;
        }
    }
    @media (max-width:400px){
        .Header-h1{
            max-width: 7.5rem;
        }
        .Header-li{
            font-size: 1.5em;
        }
        .Header-ul{
            margin: 16.125rem 0 0 .5rem;
        }
    }
    @media (max-width:400px){
        .Header-li{
            font-size: 1em;
        }
        .Header-ul{
            margin: 16.125rem 0;
        }
    }

   

    


